# Uses of Class
java.io.StringWriter

Packages that use StringWriter
Package
Description
java.io
Provides for system input and output through data streams, serialization and the file system.

## Uses of StringWriter in java.io

Methods in java.io that return StringWriter
Modifier and Type
Method
Description
`StringWriter`
StringWriter.`append(char c)`
Appends the specified character to this writer.
`StringWriter`
StringWriter.`append(CharSequence csq)`
Appends the specified character sequence to this writer.
`StringWriter`
StringWriter.`append(CharSequence csq, int start, int end)`
Appends a subsequence of the specified character sequence to this writer.